## cascading.tuple.io
Class TupleInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.DataInputStream
                  cascading.tuple.io.TupleInputStream

All Implemented Interfaces:
  Closeable, DataInput

    public abstract class TupleInputStream

extends DataInputStream

Class TupleInputStream is used internally to read Tuples from storage.

Nested Class Summary
`static interface` `TupleInputStream.ElementReader`

Field Summary
`protected TupleInputStream.ElementReader` `elementReader` Field elementReader
`protected InputStream` `inputStream` Field inputStream

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`TupleInputStream(InputStream inputStream, TupleInputStream.ElementReader elementReader)`

Method Summary
`void` `close()`
`Comparator` `getComparatorFor(int type)`
`InputStream` `getInputStream()`
`abstract Object` `getNextElement()`
`abstract int` `getNumElements()`
`IndexTuple` `readIndexTuple()`
`abstract IndexTuple` `readIndexTuple(IndexTuple indexTuple)`
`abstract int` `readToken()`
`Tuple` `readTuple()`
`Tuple` `readTuple(Tuple tuple)`
`TuplePair` `readTuplePair()`
`TuplePair` `readTuplePair(TuplePair tuplePair)`
`protected abstract Object` `readType(int type)`

Methods inherited from class java.io.DataInputStream
`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputStream

    protected final InputStream inputStream

  Field inputStream

### elementReader

    protected final TupleInputStream.ElementReader elementReader

  Field elementReader

Constructor Detail

### TupleInputStream

    public TupleInputStream(InputStream inputStream,
                            TupleInputStream.ElementReader elementReader)

Method Detail

### getInputStream

    public InputStream getInputStream()

### readTuple

    public Tuple readTuple()
                    throws IOException

  Throws:
    `IOException`

### readTuple

    public Tuple readTuple(Tuple tuple)
                    throws IOException

  Throws:
    `IOException`

### getNumElements

    public abstract int getNumElements()
                                throws IOException

  Throws:
    `IOException`

### readToken

    public abstract int readToken()
                           throws IOException

  Throws:
    `IOException`

### getNextElement

    public abstract Object getNextElement()
                                   throws IOException

  Throws:
    `IOException`

### readTuplePair

    public TuplePair readTuplePair()
                            throws IOException

  Throws:
    `IOException`

### readTuplePair

    public TuplePair readTuplePair(TuplePair tuplePair)
                            throws IOException

  Throws:
    `IOException`

### readIndexTuple

    public IndexTuple readIndexTuple()
                              throws IOException

  Throws:
    `IOException`

### readIndexTuple

    public abstract IndexTuple readIndexTuple(IndexTuple indexTuple)
                                       throws IOException

  Throws:
    `IOException`

### readType

    protected abstract Object readType(int type)
                                throws IOException

  Throws:
    `IOException`

### getComparatorFor

    public Comparator getComparatorFor(int type)
                                throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterInputStream`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.